action :add do
  command_name = sanitize_to_command new_resource.alias_name
  if !new_resource.command.nil?
    Chef::Log.info("Adding #{command_name}.sh to /etc/profile.d/")
    file_contents = "# This alias was generated by Chef for #{node["fqdn"]}\n"
    file_contents += "alias #{command_name}='#{new_resource.command}'"
    file "/etc/profile.d/#{command_name}.sh" do
      owner "root"
      group "root"
      mode "0755"
      content file_contents
    end
    new_resource.updated_by_last_action(true)
  end
end

action :remove do
  command_name = sanitize_to_command new_resource.alias_name
  if ::File.exists?("/etc/profile.d/#{command_name}.sh")
    Chef::Log.info("Removing #{command_name}.sh from /etc/profile.d/")
    file "/etc/profile.d/#{command_name}.sh" do
      action :delete
    end
    new_resource.updated_by_last_action(true)
  end
end

def sanitize_to_command(name)
  name = name.gsub(/ /,"_")
end
